Subject: Re: bug#52679: Errors in grep man pages
From: Paul Eggert <[email-masked]>
To: Jim Meyering <[email-masked]>
Cc: [email-masked], Helge Kreutzmann <[email-masked]>
Date: Thu, 19 May 2022 17:02:26 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 12/20/21 10:33, Jim Meyering wrote:

>> Issue: Not in "grep --help"; remove?
>>
>> "B<-y>"
> 
> This is the desired state: documented in texinfo only (not in --help
> or man page), because the option
> is on its way to being deleted.

I installed the attached to remove the documentation from the man page. 
I think this was all that was remaining from the bug report, so I am 
closing the bug report.

From e24ab83682f2124b7c8fa59ab05b250e1f4dae94 Mon Sep 17 00:00:00 2001
From: Paul Eggert <[email-masked]>
Date: Thu, 19 May 2022 16:36:52 -0700
Subject: [PATCH] doc: omit -y from grep man page
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

The obsolete -y option has been omitted from --help for a while, and
now’s a good time to omit it from the man page too.
---
 doc/grep.in.1 | 4 ----
 1 file changed, 4 deletions(-)

diff --git a/doc/grep.in.1 b/doc/grep.in.1
index 5ba90ee..17bf3ec 100644
--- a/doc/grep.in.1
+++ b/doc/grep.in.1
@@ -279,10 +279,6 @@ pattern and then surrounding it with
 .B ^
 and
 .BR $ .
-.TP
-.B \-y
-Obsolete synonym for
-.BR \-i .
 .SS "General Output Control"
 .TP
 .BR \-c ", " \-\^\-count
-- 
2.36.1